
function [ret]=comprobacionHuffman1234(listaSimbolos,listaProbabilidades,simbolosCorrectos,codigosCorrectos,probabilidadesCorrectas,entropiaCorrecta,longitudMediaCorrecta)
%funcin de comprobacin de la practica 1: codificacin Huffman
%Ejercicio1.m, Ejercicio2.m, Ejercicio3.m y Ejercicio4.m
ret = 1; %Error a menos que llegue al final
if size(codigosCorrectos,1)~=size(probabilidadesCorrectas,1)||size(codigosCorrectos,1)~=size(simbolosCorrectos,1)|| size(probabilidadesCorrectas,1)~=size(codigosCorrectos,1)
     mensaje = ['Dimensiones equivocadas de la tabla de cdigos'];
     error(mensaje);
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Ejecucin%%%%%%%%%%%%%%
tablaCodigos=asignarCodigosHuffman(listaSimbolos, listaProbabilidades);
[entropia longitudMedia] = estadisticasCodigo(tablaCodigos);

%Compruebo el resultado%%%%%%%%%%%%%%


    %Primera columna: smbolos
    simbolossalida = cell2mat(tablaCodigos(:,1));
    [flagSize,flagEquality] = comparaMatrices(simbolossalida,simbolosCorrectos);
    if flagSize
        mensaje = ['Nmero de simbolos equivocado'];
        error(mensaje);
    end
    if flagEquality
        mensaje = ['Smbolos equivocados'];
        error(mensaje);
    end     
    %Segunda columna: cdigos
    for i=1:size(tablaCodigos,1)%Para cada cdigo
       codigo = tablaCodigos{i,2};       
       [flagSize,flagEquality] = comparaMatrices(codigo,codigosCorrectos{i,1});
        if flagSize
            mensaje = ['Codigo de longitud equivocada'];
            error(mensaje);
        end
        if flagEquality
            mensaje = ['Codigo equivocado'];
            error(mensaje);
        end       
    end
     %Tercera columna: probabilidades
     [flagSize,flagEquality] = comparaMatrices(probabilidadesCorrectas,cell2mat(tablaCodigos(:,3)));
    if flagSize
        mensaje = ['Nmero de probabilidades equivocado'];
        error(mensaje);
    end
    if flagEquality
        mensaje = ['Probabilidades Equivocadas'];
        error(mensaje);
    end       
    
    [flagSize,flagEquality] = comparaMatrices(entropia,entropiaCorrecta);
    if flagSize
        mensaje = ['Entropa equivocada'];
        error(mensaje);
    end
    if flagEquality
        mensaje = ['Entropia Equivocada'];
        error(mensaje);
    end
    
     [flagSize,flagEquality] = comparaMatrices(longitudMedia,longitudMediaCorrecta);
    if flagSize
        mensaje = ['Longitud media equivocada'];
        error(mensaje);
    end
    if flagEquality
        mensaje = ['Longitud media equivocada'];
        error(mensaje);
    end    
    ret = 0;

