%Datos de entrada%%%%%%%%%%%%%%
%Ejercicio1.m, Ejercicio2.m, Ejercicio3.m y Ejercicio4.m

%Caso 1
disp('Procesando Caso 1**********************************');
listaSimbolos=[1 2 3 4 5 6 7] ;
listaProbabilidades=[0.6 0.1 0.1 0.05 0.025 0.025 0.1];
%Resultados metidos a mano
simbolosCorrectos = listaSimbolos';
codigosCorrectos= { [1];
                    [0     0   0];
                    [0     0     1];
                    [ 0     1     1     0];
                    [  0     1     1     1     0];
                    [ 0     1     1     1     1];
                    [ 0     1     0]};
probabilidadesCorrectas= listaProbabilidades';
entropiaCorrecta = 1.9210;
longitudMediaCorrecta = 1.95;

[ret]=comprobacionHuffman1234(listaSimbolos,listaProbabilidades,simbolosCorrectos,codigosCorrectos,probabilidadesCorrectas,entropiaCorrecta,longitudMediaCorrecta);
if ~ret
    disp('BIEN');
end
%Caso 2
disp('Procesando Caso 2**********************************');
listaSimbolos=[1 2 3 4 5 6 7 8 9 10] ;
listaProbabilidades=[.1 .1 .1 .1 .1 .1 .1 .1 .1 .1];
%Resultados metidos a mano
simbolosCorrectos = listaSimbolos';
codigosCorrectos= {[1 1 0 0]
                    [1 1 0 1]
                    [1 1 1 0]
                    [1 1 1 1]
                    [0 0 0]
                    [0 0 1]
                    [0 1 0]
                    [0 1 1]
                    [1 0 0]
                    [1 0 1]
                    };



probabilidadesCorrectas= listaProbabilidades';
entropiaCorrecta = 3.3219;
longitudMediaCorrecta = 3.4000;

[ret]=comprobacionHuffman1234(listaSimbolos,listaProbabilidades,simbolosCorrectos,codigosCorrectos,probabilidadesCorrectas,entropiaCorrecta,longitudMediaCorrecta);
if ~ret
    disp('BIEN');
end
disp('Procesando Caso 3**********************************');
listaSimbolos=[1 2 3 4] ;
listaProbabilidades=[.25 .15 0.10 0.5];
%Resultados metidos a mano
simbolosCorrectos = listaSimbolos';
codigosCorrectos= {[0 0]
                   [0 1 1]
                   [0 1 0]
                    1
                   };


probabilidadesCorrectas= listaProbabilidades';
entropiaCorrecta = 1.7427;
longitudMediaCorrecta = 1.7500;

[ret]=comprobacionHuffman1234(listaSimbolos,listaProbabilidades,simbolosCorrectos,codigosCorrectos,probabilidadesCorrectas,entropiaCorrecta,longitudMediaCorrecta);
if ~ret
    disp('BIEN');
end

